package org.acme;

import jakarta.inject.Inject;
import jakarta.persistence.EntityManager;
import jakarta.transaction.Transactional;
import jakarta.ws.rs.*;
import jakarta.ws.rs.core.MediaType;

@Path("entity")
@Transactional(Transactional.TxType.REQUIRED)
public class GreetingResource {

    @Inject
    EntityManager em;

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    public MyEntity get(
            @PathParam("id") String id
    ) {
        return em.find(MyEntity.class, id);
    }

    @PUT
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public MyEntity create(
            MyEntity entity
    ) {
        em.persist(entity);
        return entity;
    }

    @POST
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public MyEntity update(
            MyEntity entity
    ) {
        MyEntity e = em.merge(entity);
        return e;
    }
}
