package org.acme;

import jakarta.persistence.*;

import java.util.UUID;

@Entity
@Table(name = "T_ENTITY")
public class MyEntity {

    @Id
    @Column(name = "ID")
    private String id = UUID.randomUUID().toString();

    @Column(name = "FIELD")
    private String field;

    @Version
    @Column(name = "VERSION")
    private Long version;

    protected MyEntity() {
        // for JPA
    }

    public MyEntity(String id, String field, long version) {
        this.id = id;
        this.field = field;
        this.version = version;
    }

    public String getId() {
        return id;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public long getVersion() {
        return version;
    }
}
